LINUX.ORG.RU

missing dependency for libreoffice : libgl
missing dependency for libva : libgl
missing dependency for mesa : libgl
missing dependency for mplayer : libgl
missing dependency for qt : libgl
missing dependency for xine-lib : libgl
missing dependency for xorg-utils : libgl
SAA ★★★ ()

nvidia-utils: provides `libgl'

можно сделать пустой пакет, который, собственно, обеспечит `ligbl' (опции: `provides', `conflict')

n01r ★★ ()

* Переписать PKGBUILD, убрав оттуда ненужную зависимость;

* Собрать пакет & Установить;

* PROFIT!

renya ★★★★★ ()

pacman -S nvidia nvidia-utils

и не надо ничего качать с сайта

anonymous ()
Ответ на: комментарий от SAA

> я честно говоря такого еще не делал, если есть время и это Вас не затруднит, можно подробнее?

скопировать /var/abs/extra/nvidia-utils/PKGBUILD || либо `yaourt -Sb nvidia-utils'

дальше две альтернативы:

1) подправить PKGBUILD под версию `nvidia': изменить версию, md5sum (либо добавить `--skipinteg' к опциям makepkg), подправить версии файлов... еще то удовольствие

2) разложить блоб по директориям в pkg (возможно в `nvidia<skiped>.run' есть ключи для относительного пути распаковки) и добавить к makepkg `-R / --repackage' (Repackage contents of the package without rebuilding the package), в `pkg' должно быть примерно следующее: http://www.archlinux.org/packages/extra/x86_64/nvidia-utils/files/

затем, удалить вручную установленный блоб

и, наконец, установить самопальный пакет

n01r ★★ ()
Ответ на: комментарий от SAA

>я честно говоря такого еще не делал, если есть время и это Вас не затруднит, можно подробнее?

https://wiki.archlinux.org/index.php/Makepkg_(Русский)

После прочтения и осмысления:

abs extra/nvidia (для 260xx)
cd <каталог с билдами>
<правишь PKGBUILD, если надо>
makepkg -ifcs

AX ★★★★★ ()

Снести драйвер, установленный с оффсайта, и поставить его из репозитария как все нормальные люди (как чуть выше описал ананимус)

sergej ★★★★★ ()
Ответ на: комментарий от SAA

Да, увидел первый реплай в треде ... /me думал, что неувязка лишь с одним пакетом в системе

renya ★★★★★ ()
Ответ на: комментарий от SAA
[root@shark ~]# pacman -Q -l libgl
libgl /usr/
libgl /usr/lib/
libgl /usr/lib/libGL.so
libgl /usr/lib/libGL.so.1
libgl /usr/lib/libGL.so.1.2
libgl /usr/lib/xorg/
libgl /usr/lib/xorg/modules/
libgl /usr/lib/xorg/modules/dri/
libgl /usr/lib/xorg/modules/dri/swrast_dri.so
libgl /usr/lib/xorg/modules/extensions/
libgl /usr/lib/xorg/modules/extensions/libglx.so
libgl /usr/share/
libgl /usr/share/licenses/
libgl /usr/share/licenses/libgl/
libgl /usr/share/licenses/libgl/LICENSE
blitz ()

так как по теме уже всё сказали, спрошу - ЗАЧЕМ?

Hokum ☆☆☆☆ ()

>Установил драйвер nvidia с офф. сайта, теперь некоторые пакеты требуют libgl. Что с этим делать?

- Снести арч, поставить слаку/lfs/windows.

anon_666 ()
Ответ на: комментарий от n01r

>собрать пакет для блоба с сайта: можно сразу все разложить в pkg/, потом `makepkg -R'

Более того, по секрету скажу, что всё уже собрали в репозитории.

anon_666 ()
Ответ на: комментарий от anon_666

собирал LFS с -O3 ?

у меня - дошло до 2 стадии. gcc не захотел компилироватся.

а на стадии I - скомпилировался.

а у тебя как ?

blitz ()
Ответ на: комментарий от blitz

Мило )

Достаточно собрать с экстремальной оптимизацией только приложения грузящие проц.
Всю систему глупо.

anon_666 ()
Ответ на: комментарий от anon_666

> Более того, по секрету скажу, что всё уже собрали в репозитории.

Исходя из первых сообщений топик-стартера, пакет `nvidia-utils' его чем-то не устраивал, ему виднее. Также можно опустить очи да лицезреть сообщение вашего покорного слуги относительно `/var/abs/extra/nvidia-utils'.

зы... С удовольствием подпишусь на уроки экстрасенсорики, в т.ч. и телепатии.

n01r ★★ ()
Ответ на: комментарий от SAA

>когда из репозитория устанавливал, такого не было
Так и поставь драйвер из репозитория и не превращай систему в помойку.

kernelpanic ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.